//======================================================================================================================
//
//  This file is part of waLBerla. waLBerla is free software: you can 
//  redistribute it and/or modify it under the terms of the GNU General Public
//  License as published by the Free Software Foundation, either version 3 of 
//  the License, or (at your option) any later version.
//  
//  waLBerla is distributed in the hope that it will be useful, but WITHOUT 
//  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
//  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License 
//  for more details.
//  
//  You should have received a copy of the GNU General Public License along
//  with waLBerla (see COPYING.txt). If not, see <http://www.gnu.org/licenses/>.
//
//! \file all.h
//! \ingroup lbm
//! \author Christian Godenschwager <christian.godenschwager@fau.de>
//! \brief Collective header file for module lbm
//
//======================================================================================================================

#pragma once

#include "BlockForestEvaluation.h"
#include "PerformanceEvaluation.h"
#include "PerformanceLogger.h"

#include "blockforest/all.h"
#include "boundary/all.h"
#include "communication/all.h"
#include "evaluations/all.h"
#include "field/all.h"
#include "geometry/all.h"
#include "gui/all.h"
#include "inplace_streaming/all.h"
#include "lattice_model/all.h"
#include "refinement/all.h"
#include "sweeps/all.h"
#include "vtk/all.h"
